//
//  ANImageHelpers-Effects.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 27.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "ANImageHelper.h"

@interface ANImageHelper (Effects)

+ (CGImageRef) applyCIKernelWithFileName:(NSString*)fileName withSize:(CGSize)size withParams:(NSArray*)params;

+ (CGImageRef) colorizeMask:(CGImageRef)mask withPlattformColor:(id)color;

+ (CGImageRef) blurImage:(CGImageRef)imageRef withRadius:(float)radius;
+ (CGImageRef) motionBlurImage:(CGImageRef)imageRef withSize:(float)size andDirection:(float)angleDirection;

+ (CGImageRef) zoomBlurImage:(CGImageRef)imageRef withAmount:(float)amount andCenterX:(float)centerX andCenterY:(float)centerY;
+ (CGRect) extentRectForZoomBlurForRect:(CGRect)rect withAmount:(float)amount andCenterX:(float)centerX andCenterY:(float)centerY;

@end
